QGIS Application - Bug report #17019
Off-line editing does not work with WFS-T layers with mixed simple and multi geoms
2017-08-15 04:15 PM - Giovanni Manghi

Status: Feedback

Priority: High

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:master Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24918
Description

On 2.18.11 nightly the error is

"Offline Editing Plugin: ERROR: 244 feature(s) not added - geometry type is not compatible with the current layer."

On master trying to put off line the same layer results in a complete freeze.

Related issues:
Related to QGIS Application - Bug report # 17087: WFS provider deadlock (free... Closed 2017-08-29

History

#1 - 2017-08-29 09:21 PM - Jiirgen Fischer
- Related to Bug report #17087: WFS provider deadlock (freezes forever waiting for mMutex to unlock) added

#2 - 2017-08-30 09:04 AM - Alessandro Pasotti

- Affected QGIS version changed from 2.18.11 to master

- Subject changed from Off-line editing does not work for WFS-T layers from QGIS Server to Off-line editing does not work with WFS-T layers with mixed
simple and multi geoms

For example, with the world layer from

QGIS Server Docker to reproduce the issue:

https://github.com/elpaso/qgis-server-docker

docker pull elpaso/qgis-server-docker

#3 - 2017-08-30 11:36 AM - Alessandro Pasotti

See the discussion in https:/github.com/qgis/QGIS/pull/5091

There is probably an upstream issue in the OGR/GDAL geometry model when the underlying storage is a shapefile, not yet sure about the right fix for this

issue.

#4 - 2017-08-30 06:05 PM - Alessandro Pasotti

See: https://github.com/qgis/QGIS/pull/5096 and related (closed) https:/github.com/qgis/QGIS/pull/5091

| would probably close as won't fix for now. | guess we should open another ticket on the WFS provider to implement a more robust algorhitm to determine
the correct wkbType in case the server does not report enough information about the geometry type.

#5 - 2018-12-28 12:23 PM - Paolo Cavallini

Could you please check again on current release?
Thanks.

#6 - 2018-12-28 02:58 PM - Giovanni Manghi
- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#7 - 2019-03-09 04:28 PM - Giovanni Manghi

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
